// NAVIGATORS
import Accueil from './navigators/Accueil.vue'
import AccueilVignette from './navigators/AccueilVignette.vue'
import FxMenu from './navigators/FxMenu.vue'
import FxMenuItem from './navigators/FxMenuItem.vue'
import FxNavigatorContent from './navigators/FxNavigatorContent.vue'
import FxNavigatorMenu from './navigators/FxNavigatorMenu.vue'
import FxNavigatorMenuItem from './navigators/FxNavigatorMenuItem.vue'
import FxTabNavigator from './navigators/FxTabNavigator.vue'

import FxTabNavigatorBase from './navigators/FxTabNavigatorBase.vue'
import FxTabContentBase from './navigators/FxTabContentBase.vue'

// LAYOUT
import FxHgroup from './layout/FxHgroup.vue'
import FxVgroup from './layout/FxVgroup.vue'
import FxGroup from './layout/FxGroup.vue'

// CONTROLS
import FxAccordion from './controls/FxAccordion.vue'
import FxAccordionPanel from './controls/FxAccordionPanel.vue'
import FxButton from './controls/FxButton.vue'
import FxButtonImage from './controls/FxButtonImage.vue'
import FxCalendrier from './controls/FxCalendrier.vue'
import FxCameraCapture from './controls/FxCameraCapture.vue'
import FxCarousel from './controls/FxCarousel.vue'
import FxChamp from './controls/FxChamp.vue'
import FxDatagrid from './controls/FxDatagrid.vue'
import FxDateField from './controls/FxDateField.vue'
import FxDraggableList from './controls/FxDraggableList.vue'
import FxFiltre from './controls/FxFiltre.vue'
import FxLabel from './controls/FxLabel.vue'
import FxList from './controls/FxList.vue'
import FxListeElementsDynamic from './controls/FxListeElementsDynamic.vue'
import FxListSimple from './controls/FxListSimple.vue'
import FxPopOver from './controls/FxPopOver.vue'
import FxSpacer from './controls/FxSpacer.vue'
import FxTags from './controls/FxTags.vue'
import FxTitre from './controls/FxTitre.vue'
import FxListTransfert from './controls/FxListTransfert.vue'
import FxExportButton from './controls/FxExportButton.vue'
import FxSpinner from './controls/FxSpinner.vue'
import FxSqlEditor from './controls/FxSqlEditor.vue'
import FxTreeFile from './controls/FxTreeFile.vue'
//INPUTS
import FxDropdown from './controls/FxDropdown.vue'
import FxDateChooser from './controls/FxDateChooser.vue'
import FxCheckbox from './controls/FxCheckbox.vue'
import FxSwitch from './controls/FxSwitch.vue'
import FxTextInput from './controls/FxTextInput.vue'
import FxRadioButton from './controls/FxRadioButton.vue'
import FxColorPicker from './controls/FxColorPicker.vue'
import FxIconInput from './controls/FxIconInput.vue'
// DATES
// BASE
import FxSelectAnnee from './controls/dates/base/FxSelectAnnee.vue'
import FxSelectDate from './controls/dates/base/FxSelectDate.vue'
import FxSelectMois from './controls/dates/base/FxSelectMois.vue'
import FxSelectSemaine from './controls/dates/base/FxSelectSemaine.vue'
// PERIODES
import FxPeriode from './controls/dates/periodes/FxPeriode.vue'
import FxPeriodeDate from './controls/dates/periodes/FxPeriodeDate.vue'
import FxPeriodeMois from './controls/dates/periodes/FxPeriodeMois.vue'
import FxPeriodeSemaine from './controls/dates/periodes/FxPeriodeSemaine.vue'
// CHARTS
import FxBarChart from './charts/FxBarChart.vue'
import FxGauge from './charts/FxGauge.vue'
import FxChartBar from './charts/vcharts/FxChartBar.vue'
import FxChartFunnel from './charts/vcharts/FxChartFunnel.vue'
import FxChartGauge from './charts/vcharts/FxChartGauge.vue'
import FxChartHistogram from './charts/vcharts/FxChartHistogram.vue'
import FxChartLine from './charts/vcharts/FxChartLine.vue'
import FxChartPie from './charts/vcharts/FxChartPie.vue'
import FxChartRing from './charts/vcharts/FxChartRing.vue'
// FORMULAIRES
import FxForm from './controls/formulaires/FxForm.vue'
import FxFormFooter from './controls/formulaires/FxFormFooter.vue'
import FxFormItemDropdown from './controls/formulaires/FxFormItemDropdown.vue'
import FxFormItemRadioButton from './controls/formulaires/FxFormItemRadioButton.vue'
import FxFormItemTextInput from './controls/formulaires/FxFormItemTextInput.vue'
import FxFormItemColorPicker from './controls/formulaires/FxFormItemColorPicker.vue'
import FxFormItemIconInput from './controls/formulaires/FxFormItemIconInput.vue'
import FxFormItemCheckbox from './controls/formulaires/FxFormItemCheckbox.vue'
import FxFormItemList from './controls/formulaires/FxFormItemList.vue'
import FxFormItemSwitch from './controls/formulaires/FxFormItemSwitch.vue'
// TEMPLATES
import FxTraitementTemplate from './templates/FxTraitementTemplate.vue'
import FxFormulaireTemplate from './templates/FxFormulaireTemplate.vue'
import FxFiltreTemplate from './templates/FxFiltreTemplate.vue'
import FxFormulaireGenerique from './templates/FxFormulaireGenerique.vue'
import FxTraitementContentTemplate from './templates/FxTraitementContentTemplate.vue'

export default
{   FxHgroup,
    FxVgroup,
    FxGroup,
    FxAccordion,
    FxAccordionPanel,
    FxButton,
    FxButtonImage,
    FxCalendrier,
    FxCameraCapture,
    FxCarousel,
    FxChamp,
    FxCheckbox,
    FxDatagrid,
    FxDateChooser,
    FxDateField,
    FxDraggableList,
    FxDropdown,
    FxFiltre,
    FxLabel,
    FxList,
    FxListeElementsDynamic,
    FxListSimple,
    FxPopOver,
    FxSpacer,
    FxTags,
    FxTitre,
    FxSelectAnnee,
    FxSelectDate,
    FxSelectMois,
    FxSelectSemaine,
    FxPeriode,
    FxPeriodeDate,
    FxPeriodeMois,
    FxPeriodeSemaine,
    FxGauge,
    FxBarChart,
    Accueil,
    AccueilVignette,
    FxMenu,
    FxMenuItem,
    FxNavigatorContent,
    FxNavigatorMenu,
    FxNavigatorMenuItem,
    FxTabNavigator,
    FxSwitch,
    FxTextInput,
    FxRadioButton,
    FxForm,
    FxFormFooter,
    FxFormItemDropdown,
    FxFormItemRadioButton,
    FxFormItemTextInput,
    FxColorPicker,
    FxFormItemColorPicker,
    FxTraitementTemplate,
    FxIconInput,
    FxFormItemIconInput,
    FxFormulaireTemplate,
    FxFiltreTemplate,
    FxFormulaireGenerique,
    FxTraitementContentTemplate,
    FxFormItemCheckbox,
    FxFormItemList,
    FxExportButton,
    FxSpinner,
    FxChartFunnel,
    FxChartGauge,
    FxChartBar,
    FxChartRing,
    FxChartHistogram,
    FxChartPie,
    FxChartLine,
    FxFormItemSwitch,
    FxTabNavigatorBase,
    FxTabContentBase,
    FxListTransfert,
    FxSqlEditor,
    FxTreeFile
}
