import Vue from 'vue'
import Composants from './components/'
import services from './services/'
import iView from 'iview'
import locale from 'iview/dist/locale/fr-FR'
import 'es6-promise/auto'
import 'iview/dist/styles/iview.css'
//import 'highlight.js/styles/default.css'
import 'font-awesome/css/font-awesome.css'
import VueHighlightJS from 'vue-highlightjs'
import VueHighlightDotJS from 'vue-highlight.js'
import VCharts from 'v-charts'

// Initialisation de codemirror
import VueCodemirror  from 'vue-codemirror'
import 'codemirror/lib/codemirror.css'
Vue.use(VueCodemirror,{options: { theme: 'base16-dark'}})

require('./store')
require('./services/Charts/amcharts')
require('./services/Charts/gauge')
require('./services/Charts/light')
require('es6-promise').polyfill()

if(!window._){
 window._ = require('lodash')
}

if(!window.axios){
    window.axios = require('axios')
}
if(!window.$){
    window.$ = window.jQuery = require('jquery')
}
//Vue.use(VueHighlightJS)
//Vue.use(VueHighlightDotJS)
Vue.use(iView, { locale })
Vue.use(VCharts)
const Components = Composants

Object.keys(Components).forEach(name => {
  Vue.component(name, Components[name])
})
/*
const filters = {
  install (Vue, options) {
    Object.keys(Filters).forEach((item) => {
      Filters[item][item](Vue, options)
    })
  }
}*/
const EventBus = new Vue()

Object.defineProperties(Vue.prototype, {
    $bus: {
        get: function () {
            return EventBus
        }
    }
})

export default {
  ...Components, ...services // ,...filters
}


/*import App from './App.vue'
new Vue({
    created(){
      if(!window.Vue){
          window.Vue = this
      }
    },
   render: h => h(App)
}).$mount('#app')*/

